# runtexts

`runtexts` is a command-line tool designed to automate the sending of messages. This tool allows you to configure a message, set the number of times it should be sent, and control the delay between each message. You can also choose between "bot-like" fast typing or "human-like" slower typing speeds.

## Features

- Automate the sending of messages
- Set a custom delay between messages
- Simulate fast "bot-like" typing or slower "human-like" typing
- Simple CLI interface for easy use

## Installation

You can install `runtexts` using pip:

```bash
pip install runtexts
```

### Or manually,

1. Clone this repo:

```bash
git clone https://github.com/iamovi/project_runtexts.git
```

2. Go to project directory:

```bash
cd project_runtexts
````

3. Install cli using:

```bash
pip install .
```

## Usage

Once installed, you can run the tool directly from the command line:

```bash
runtexts
```

Follow the on-screen prompts to configure your message, number of repetitions, typing speed, and delay.

### Upgrade CLI if available:

```bash
pip install --upgrade runtexts
```

## Example

Here is a typical usage scenario:

1. Enter the message you'd like to send.
2. Choose how many times to send the message or set it to "infinity" for endless messaging.
3. Set the delay between each message (in seconds).
4. Choose between fast (bot) or slow (human) typing modes.
5. The tool will automatically type and send the messages.

## License

This project is licensed under the [MIT License](LICENSE) - see the [LICENSE](LICENSE) file for details.

## Author

Maruf Ovi

fornet.ovi@gmail.com